Parcourir la source

Scripts from local darkside docs added

Jovian (Darkside) il y a 6 ans
Parent
commit
b2987c37a8
7 fichiers modifiés avec 77 ajouts et 0 suppressions
  1. 9 0
      check.sh
  2. 9 0
      curgitb
  3. 4 0
      env.sh
  4. 13 0
      essai.sh
  5. 8 0
      params.sh
  6. 12 0
      read.sh
  7. 22 0
      test.sh

+ 9 - 0
check.sh

@@ -0,0 +1,9 @@
+#!/bin/bash
+echo '[essai] Hello !'
+if [ -e $1 ]
+then
+	echo "Fichier !!!"
+else
+	echo "Pas fichier !"
+fi
+echo '[essai] End of script.'

+ 9 - 0
curgitb

@@ -0,0 +1,9 @@
+#!/bin/bash
+current_branch=`git branch | grep \* | cut -d ' ' -f2`
+if [ $? -eq 0 ]
+then
+	echo 'Success'
+else
+	echo 'Failed'
+fi
+echo $current_branch

+ 4 - 0
env.sh

@@ -0,0 +1,4 @@
+#!/bin/bash
+echo "[essai] Your name : $USER"
+echo "[essai] Your editor : $EDITOR"
+echo '[essai] End of script.'

+ 13 - 0
essai.sh

@@ -0,0 +1,13 @@
+#!/bin/bash
+echo "[essai] Current directory :"
+current=`pwd`
+echo "jovian@darkside:$current"
+echo "[essai] Variables : utilisation des guillemets"
+message="This is a variable content"
+echo 'Voici le message : $message'
+echo "Voici le message : $message"
+tableau=('valeur0' 'valeur1' 'valeur2')
+tableau[5]='valeur5'
+echo "Tableau : ${tableau[*]}"
+echo "Case : ${tableau[2]}"
+echo '[essai] End of script.'

+ 8 - 0
params.sh

@@ -0,0 +1,8 @@
+#!/bin/bash
+echo "[essai] Number of params : $#"
+echo "[essai] Param 0, prog name : $0"
+echo "[essai] Param 1 : $1"
+echo "[essai] Param 2 : $2"
+shift
+echo "[essai] Also param 2 : $1"
+echo "[essai] End of script."

+ 12 - 0
read.sh

@@ -0,0 +1,12 @@
+#!/bin/bash
+echo 'Start.'
+read -p 'Enter your name : ' name
+echo "Hello dear $name"
+read -p 'Enter your code : ' -t 2 code
+if [ -z $code ]
+then
+	echo 'Too late.'
+else
+	echo 'Fast ! Your entry :'
+	echo $code
+fi

+ 22 - 0
test.sh

@@ -0,0 +1,22 @@
+#!/bin/bash
+echo "[essai] Current directory :"
+if [ $# = 0 ]
+then
+	echo 'No argument !!!'
+elif [ $# = 1 ]
+then
+	echo "Good thing : $1"
+else
+	echo "Many things : $1, and $2"
+fi
+# Number process
+if [ $1 -lt 21 ]
+then
+	echo "Tiny number"
+elif [ $1 -eq 21 ]
+then
+	echo "Perfect !"
+else
+	echo "Pretty big."
+fi
+echo '[essai] End of script.'